<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bootstrap</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper d-flex">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper bg-light border-right">
        <h1 class="sidebar-heading">Time tracker</h1>
        {% assign activeUser = users | where: "id", options.activeUser | first %}
        <div class="sidebar-user bg-light text-primary">{{ activeUser.name }}</div>
        <div class="list-group list-group-flush">
          <a href="index.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-tachometer-alt"></i>
            Dashboard
          </a>
          <a href="time.html" class="list-group-item list-group-item-action bg-light text-primary">
            <i class="far fa-clock"></i>
            Time tracking
          </a>
          <a href="projects.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-project-diagram"></i>
            Projects
          </a>
          <a href="clients.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-star"></i>
            Clients
          </a>
          <a href="teams.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-users-cog"></i>
            Teams
          </a>
          <a href="users.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-users"></i>
            Users
          </a>
          <a href="settings.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-cogs"></i>
            Settings
          </a>
        </div>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
          <button class="btn btn-light border" id="js-open-nav">
            <span class="navbar-toggler-icon"></span>
          </button>

          <ul class="nav navbar-nav navbar-right ml-auto mt-2 mt-lg-0">
            <li class="nav-item active">
              <a class="nav-link" href="#" id="js-logout">Log out</a>
            </li>
          </ul>              
        </nav>
  
        <!-- START Content -->
        <div class="container-fluid">

          <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
            <h2 class="h2">Time tracker</h2>
            <div class="btn-toolbar mb-2 mb-md-0">
              <div class="btn-group mr-2">
                <a href="../index.html" class="btn btn-sm btn-outline-secondary border">Change framework</a>
                <button type="button" class="btn btn-sm btn-outline-secondary border" id="js-load-data">Reset data</button>
              </div>
            </div>
          </div>
  
  
          <h3>Track time</h3>
  
  
          {% if activeUser.running == 0 %}
          <form id="js-timer-start"> 
            <div class="row align-items-center mb-3">
              <div class="col-12 col-sm-6 col-md">
                  <input type="text" class="form-control" placeholder="Description" name="desc" required>    
              </div>
              <div class="col-12 col-sm-6 col-md mt-2 mt-sm-0">
                {% assign myTeams = "" | split:"" %}
                {% for team in teams %}
                  {% if team.users contains activeUser.id %}
                    {% assign myTeams = myTeams | concat: team.id %}
                  {% endif %}
                {% endfor %}
  
                <select class="form-control" name="projectId" required>
                  {% for project in projects %}
                    {% if project.active == 1 %}
                    {% if myTeams contains project.teamId %}
                    <option value="{{ project.id }}">{{ project.name }}</option>
                    {% endif %}
                    {% endif %}
                  {% endfor %}
                </select>
        
              </div>
  
              <div class="col-12 col-sm-6 col-md-auto mt-2 mt-md-0">  
                <p class="h3 mb-0">
                  <i class="far fa-clock"></i>
                  00:00:00
                </p>
              </div>
  
              <div class="col-12 col-sm-6 col-md-auto mt-2 mt-md-0">
                <button type="reset" class="btn btn-warning"><i class="fas fa-redo-alt"></i> Reset</button>
                <button type="submit" class="btn btn-success"><i class="fas fa-play"></i> Start</button>
              </div>

            
            </div>
          </form>
  
          {% else %}
          {% assign timer = timers | where: "id", activeUser.running | first %}
          <form id="js-timer-stop"> 
            <div class="row align-items-center mb-3">
              <div class="col-12 col-sm-6 col-md">
                <input type="text" class="form-control" placeholder="{{ timer.desc }}" disabled>    
              </div>
              <div class="col-12 col-sm-6 col-md mt-2 mt-sm-0">
                {% assign timerProject = projects | where: "id", timer.projectId | first %}
                <input type="text" class="form-control" placeholder="{{ timerProject.name }}" disabled>    
              </div>
  
              <div class="col-12 col-sm-6 col-md-auto mt-2 mt-md-0">  
                <p class="h3 mb-0">
                  <i class="far fa-clock"></i>
                  <span id="js-timer-counter" class="timer-counter">
                    {{ timer.startTime | timeDiffNow }}
                  </span>
                </p>
              </div>
  
              <div class="col-12 col-sm-6 col-md-auto mt-2 mt-md-0">
                <button type="reset" class="btn btn-warning"><i class="fas fa-redo-alt"></i> Clear</button>
                <button type="submit" class="btn btn-danger"><i class="fas fa-stop"></i> Stop</button>
              </div>
            
            </div>
          </form>
          {% endif %}
  
  
  
          <h3>My tracker</h3>
  
          {% assign filteredEntries = entries | where: "userId", activeUser.id %}
          {% for entry in filteredEntries %}
            {% assign entryProject = projects | where: "id", entry.projectId | first %}
            {% if entryProject.active == 1 %}
            <div class="alert alert-secondary bg-light" role="alert">
              <div class="row align-items-center no-gutters">
                <div class="col">
                  <span class="mr-3"><strong>{{ entry.desc }}</strong> - {{ entryProject.name }}</span>
                  <span class="text-nowrap mr-3"><i class="far fa-clock"></i> {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})</span>
                  <span class="text-nowrap"><i class="far fa-calendar-alt"></i> {{ entry.startTime | date: "%d.%m.%Y" }}</span>
                </div>
                <div class="col-auto">
                  <button type="button" class="btn btn-danger" data-delete-entry="{{ entry.id }}"><i class="fas fa-trash-alt"></i></button>
                </div>
              </div>
            </div>
            {% endif %}
          {% endfor %}
  

        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>